Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSProductElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSProductElement

All Implemented Interfaces:
  TextParent, XDSElement

public class XDSProductElement
extends ElementImpl
implements TextParent

A `<product>` element.

See Also:
  `XDSSourceElement`

Method Summary
`void` | `appendText(String someText)` Appends a single, child text node containing `someText` to this element.
`String` | `extractText()` Returns the concatenated child text nodes of this element.
`String` | `getASN1ID()` Gets the value of this element's `asn1id` attribute.
`String` | `getBuild()` Gets the value of this element's `build` attribute.
`String` | `getInstance()` Gets the value of this element's `instance` attribute.
`String` | `getVersion()` Gets the value of this element's `version` attribute.
`void` | `setASN1ID(String someID)` Sets this element's `asn1id` attribute to `someID`.
`void` | `setBuild(String someID)` Sets this element's `build` attribute to `someID`.
`void` | `setInstance(String someName)` Sets this element's `instance` attribute to `someName`.
`void` | `setVersion(String someVersion)` Sets this element's `version` attribute to `someVersion`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractText

    public String extractText()

  Description copied from interface: `TextParent`
  Returns the concatenated child text nodes of this element.

  Invocation Context:
    READ

  Specified by:
    `extractText` in interface `TextParent`
  Returns:
    all of the child text nodes of this element; may be `null`; will not return `""`

### getVersion

    public String getVersion()

  Gets the value of this element's `version` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`
  Since:
    DTD 1.1

### getASN1ID

    public String getASN1ID()

  Gets the value of this element's `asn1id` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### getInstance

    public String getInstance()

  Gets the value of this element's `instance` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`
  Since:
    DTD 1.1

### getBuild

    public String getBuild()

  Gets the value of this element's `build` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`
  Since:
    DTD 1.1

### setVersion

    public void setVersion(String someVersion)

  Sets this element's `version` attribute to `someVersion`.

  Invocation Context:
    WRITE

  Parameters:
    `someVersion` - if `null` or `""`, no action is taken
  Since:
    DTD 1.1

### setInstance

    public void setInstance(String someName)

  Sets this element's `instance` attribute to `someName`.

  Invocation Context:
    WRITE

  Parameters:
    `someName` - if `null` or `""`, no action is taken
  Since:
    DTD 1.1

### setBuild

    public void setBuild(String someID)

  Sets this element's `build` attribute to `someID`.

  Invocation Context:
    WRITE

  Parameters:
    `someID` - if `null` or `""`, no action is taken
  Since:
    DTD 1.1

### setASN1ID

    public void setASN1ID(String someID)

  Sets this element's `asn1id` attribute to `someID`.

  Invocation Context:
    WRITE

  Parameters:
    `someID` - if `null` or `""`, no action is taken

### appendText

    public void appendText(String someText)

  Description copied from interface: `TextParent`
  Appends a single, child text node containing `someText` to this element.

  Invocation Context:
    WRITE

  Specified by:
    `appendText` in interface `TextParent`
  Parameters:
    `someText` - the text being appended; if `null` or `""`, no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD